%define  patch_name kernel-feat-core-vserver

Name: %{patch_name}
Version: 20060517
Release: alt1
Summary: %patch_name kernel patch - Linux Virtual Server patch
License: GPL
Group: Development/Other
BuildArch: noarch

%source 2 patch-2.6.16.16-vs2.0.2-rc20.diff			2.6

%source 101 2.6_101_2.6.14.3-kill-ESRCH.patch 			2.6
%source 102 vs2.0.2-rc15-noaltsec.patch 		2.6/not_kernel-fix-security-altsec
%source 103 vs2.0.2-rc15-altsec.patch		2.6/kernel-fix-security-altsec
%source 104 vs2.0.2-rc15-exec-shield.patch	2.6/kernel-fix-security-exec-shield
%source 105 vs2.0.2-rc15-noexec-shield.patch	2.6/not_kernel-fix-security-exec-shield
%source 106 vs2.0.2-rc15-fix-core.patch	2.6/kernel-fix-core
%source 107 vs2.0.2-rc15-nofix-core.patch 2.6/not_kernel-fix-core

URL: http://www.linux-vserver.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.3-alt1

%description
Linux Virtual Server patch

%install

%install_patches

%files
%_usrsrc/kernel/patches/*

%changelog
* Wed May 17 2006 LAKostis <lakostis at altlinux.ru> 20060517-alt1
- Updated to 2.0.2-rc20 patch.

* Tue May 02 2006 LAKostis <lakostis at altlinux.ru> 20060502-alt1
- Updated to 2.0.2-rc18 patch.

* Wed Apr 12 2006 LAKostis <lakostis at altlinux.ru> 20060410-alt1
- update vs2.0.2-rc15-fix-core.patch.

* Mon Apr 10 2006 LAKostis <lakostis at altlinux.ru> 20060410-alt0.1
- Updated to 2.0.2-rc15 patch.

* Tue Mar 21 2006 LAKostis <lakostis at altlinux.ru> 20060321-alt0.1
- Change naming scheme.
- Add 2.0.2-rc13 patch for 2.6.16 kernel and fix it for 
  exec-shield/altsec.

* Mon Mar 20 2006 LAKostis <lakostis at altlinux.ru> 2.01-alt3
- Added:
  + 2.6_101_patch-2.6.14.3-kill-ESRCH.patch: ignore -ESRCH in
    kill_something_info() due vserver check_kill_permission() changes.
    
* Sat Mar 18 2006 LAKostis <lakostis at alltinux.ru> 2.01-alt2.2
- updated patches for altsecurity v0.0.7.

* Thu Mar 09 2006 LAKostis <lakostis at alltinux.ru> 2.01-alt2.1
- updated patches for altsecurity v0.0.4.

* Wed Mar 08 2006 LAKostis <lakostis at alltinux.ru> 2.01-alt2
- updated patches for conflicts w/ PaX/altsecurity.

* Fri Dec 16 2005 Anton Farygin <rider@altlinux.ru> 2.01-alt1
- updates to 2.01

* Thu Aug 11 2005 Ivan Fedorov <ns@altlinux.ru> 2.0-alt2
- updated to 2.0

* Wed Aug 03 2005 Anton Farygin <rider@altlinux.ru> 2.0-alt1.rc9
- updated to 2.0-rc9
- removed patch for kernel 2.4

* Fri Jul 08 2005 Anton Farygin <rider@altlinux.ru> 2.0-alt1
- updated for 2.6.12 (2.0-rc6)

* Fri Mar 18 2005 Anton Farygin <rider@altlinux.ru> 1.29-alt5
- updated for 2.6.11 (1.9.5-rc3)

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 1.29-alt4
- updated for 2.6.10 (1.9.4)

* Mon Dec 27 2004 Anton Farygin <rider@altlinux.ru> 1.29-alt3
- updated for 2.4.28
- updated for 2.6.10 (1.9.3.14)

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 1.29-alt2
- 1.9.3-rc5 for kernel 2.6.9

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 1.29-alt1
- 1.29 for kernel 2.4.27
- 1.9.3-rc3 for kernel 2.6.9

* Sun Sep 12 2004 Anton Farygin <rider@altlinux.ru> 1.28-alt2
- 1.9.2 for kernel 2.6.8.1

* Tue Jul 13 2004 Anton Farygin <rider@altlinux.ru> 1.28-alt1
- 1.28 for kernel 2.4.26

* Wed May 26 2004 Anton Farygin <rider@altlinux.ru> 1.27-alt3
- updated patch for kernel 2.4.26
- experimental vserver 1.9.1 for kernel 2.6.6

* Fri May 14 2004 Anton Farygin <rider@altlinux.ru> 1.27-alt2
- added experimental patch (1.9.0) for kernel 2.6

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 1.27-alt1
- update to 1.27

* Wed Mar 10 2004 Anton Farygin <rider@altlinux.ru> 1.26-alt2
- update for 2.4.25 kernel

* Mon Feb 09 2004 Anton Farygin <rider@altlinux.ru> 1.26-alt1
- 1.26

* Wed Jan 28 2004 Anton Farygin <rider@altlinux.ru> 1.24-alt1
- 1.24

* Mon Jan 12 2004 Anton Farygin <rider@altlinux.ru> 1.23-alt1
- 1.23

* Thu Jan 08 2004 Anton Farygin <rider@altlinux.ru> 1.22-alt2
- first build for Sisyphus
